# Class DataSourceLoader

#### Hierarchy

- DefinitionLoader
  - DataSourceLoader

- Defined in packages/angular/data-source/src/lib/data-source-loader.ts:18

#####
Index

### Constructors

constructor

### Methods

connect
load

##
Constructors

### constructor

- new DataSourceLoader(injector: Injector): DataSourceLoader

  #### Parameters

  - injector: Injector

  #### Returns DataSourceLoader

  Inherited from DefinitionLoader.constructor

  - Defined in packages/angular/definition/src/lib/definition.loader.ts:15

##
Methods

### connect

- connect<Data>(
  dataSourceIdOrInstanceOrToken: IdOrInstanceOrToken<
  BaseDataSource<Data, BaseDataSourceMetadata, BaseDataSourceViewer<any>>,
  >,
  viewer: BaseDataSourceViewer,
  metadata?: Partial<BaseDataSourceMetadata>,
  injector?: Injector,
  notFoundValue?: BaseDataSource<
  Data,
  BaseDataSourceMetadata,
  BaseDataSourceViewer<any>,
  >,
  flags?: InjectFlags,
  ): Observable<Data>

  #### Type Parameters

  - Data

  #### Parameters

  - dataSourceIdOrInstanceOrToken: IdOrInstanceOrToken<
    BaseDataSource<Data, BaseDataSourceMetadata, BaseDataSourceViewer<any>>,
    >
  - viewer: BaseDataSourceViewer
  - `Optional` metadata: Partial<BaseDataSourceMetadata>
  - `Optional` injector: Injector
  - `Optional` notFoundValue: BaseDataSource<Data, BaseDataSourceMetadata, BaseDataSourceViewer<any>>
  - `Optional` flags: InjectFlags

  #### Returns Observable<Data>

  - Defined in packages/angular/data-source/src/lib/data-source-loader.ts:20

### load

- load<Definition extends BaseDefinition<BaseDefinitionMetadata>>(
  definitionIdOrInstanceOrInjectionToken: IdOrInstanceOrToken<Definition>,
  metadata?: Partial<BaseDefinitionMetadata>,
  injector?: Injector,
  notFoundValue?: Definition,
  flags?: InjectFlags,
  ): Definition

  #### Type Parameters

  - Definition extends BaseDefinition<BaseDefinitionMetadata>

  #### Parameters

  - definitionIdOrInstanceOrInjectionToken: IdOrInstanceOrToken<Definition>
  - `Optional` metadata: Partial<BaseDefinitionMetadata>
  - injector: Injector = ...
  - `Optional` notFoundValue: Definition
  - `Optional` flags: InjectFlags

  #### Returns Definition

  Inherited from DefinitionLoader.load

  - Defined in packages/angular/definition/src/lib/definition.loader.ts:21